{% extends 'base.html' %}
{% load static %}
{% block meta %}

<title>D06 | Forum</title>
<link rel="stylesheet" type="text/css"  href="{% static 'css/forum.css' %}">
{% endblock meta %}
{% block content %}
        <div class="header">
        <img src="https://live.staticflickr.com/65535/51624476788_6a74bc00f6_o.png" width="100%">
        <a href="{% url 'forum:createpost' %}"><div id="headerbutton">Create a post ></div></a>
        </div>

        <div class="box">
            
            {% for post in posts %}
            <div id="forumbox">
                <div id="date">{{post.tanggal}}</div>
                <div id="content">
                    <div id="imgbox"><img src="https://live.staticflickr.com/65535/51634618240_caba66ca65_o.png" width="100%" height="100%"></div>
                    <div id="textbox">
                        <div id="title">{{post.judul}}</div>
                        Posted by <span style="color:#811112">{{post.user}}</span>
                        <div id="reply">
                            <p class="replytxt">
                                {{post.isi}}
                            </p>
                                <a href="javascript:void(0)" onclick="readMore(this)">Read more</a>
                        </div>

                    </div>
                </div>
                <div id="replies">
                    <span style="float:left; margin-left:1vw;">
                    <a href="{% url 'forum:pinpost' %}"><img src="https://live.staticflickr.com/65535/51641344929_129a5a8414_o.png" width="15" height="15" alt="pin">       </a>
                    <a href="{% url 'forum:editpost' %}"><img src="https://live.staticflickr.com/65535/51640907988_6ae295afbb_o.png" width="15" height="15" alt="edit">       </a>
                    <a href="{% url 'forum:deletepost' %}"><img src="https://live.staticflickr.com/65535/51639863637_e2a702f365_o.png" width="15" height="15" alt="trash">       </a>
                    </span>
                    <img src="https://live.staticflickr.com/65535/51640694086_5dd55f6f5f_o.png" width="15" height="15" alt="downvote"> 0
                    <img src="https://live.staticflickr.com/65535/51640694231_8f128b8358_o.png" width="15" height="15" alt="upvote"> 0 
                    <a href="{% url 'forum:replyforum' %}"><img src="https://live.staticflickr.com/65535/51634888131_30f65b41a0_o.png" width="15" height="15" alt="addreply"></a> 0 Replies
                </div>
            </div>
            {% endfor %}

            <script>
                var x, i;
                var maxChar = 550;
                x = document.querySelectorAll(".replytxt");
                for (i = 0; i < x.length; i++) {
                    if (x[i].textContent.length < maxChar){
                        x[i].nextElementSibling.style.display = "none";
                    }
                    else{
                        var showTxt = x[i].textContent.slice(0, maxChar);
                        var hideTxt = x[i].textContent.slice(maxChar);

                        x[i].innerHTML = showTxt + '<span class="dots">...</span><span class="hideTxt">' + hideTxt + '</span>';


                    }
                }

                function readMore(btn){
                    var post = btn.previousElementSibling;
                    post.querySelector(".dots").classList.toggle("hide");
                    post.querySelector(".hideTxt").classList.toggle("show");

                    btn.textContent == "Read more" ? btn.textContent = "Show less" : btn.textContent = "Read more";
                }
            </script>            

        </div>

{% endblock content %}